Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class VillageCollection

    java.lang.Object
      net.minecraft.src.WorldSavedData
          net.minecraft.src.VillageCollection

    public class VillageCollection

extends WorldSavedData

Field Summary

Fields inherited from class net.minecraft.src.WorldSavedData
`mapName`

Constructor Summary
`VillageCollection(String par1Str)`
`VillageCollection(World par1World)`

Method Summary
`void` | `addVillagerPosition(int par1, int par2, int par3)` This is a black hole.
`Village` | `findNearestVillage(int par1, int par2, int par3, int par4)` Finds the nearest village, but only the given coordinates are withing it's bounding box plus the given the distance.
`void` | `func_82566_a(World par1World)`
`List` | `getVillageList()` Get a list of villages.
`void` | `readFromNBT(NBTTagCompound par1NBTTagCompound)` reads in data from the NBTTagCompound into this MapDataBase
`void` | `tick()` Runs a single tick for the village collection
`void` | `writeToNBT(NBTTagCompound par1NBTTagCompound)` write data to NBTTagCompound from this MapDataBase, similar to Entities and TileEntities

Methods inherited from class net.minecraft.src.WorldSavedData
`isDirty, markDirty, setDirty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VillageCollection

    public VillageCollection(String par1Str)

### VillageCollection

    public VillageCollection(World par1World)

Method Detail

### func_82566_a

    public void func_82566_a(World par1World)

### addVillagerPosition

    public void addVillagerPosition(int par1,
                                    int par2,
                                    int par3)

  This is a black hole. You can add data to this list through a public interface, but you can't query that information in any way and it's not used internally either.

### tick

    public void tick()

  Runs a single tick for the village collection

### getVillageList

    public List getVillageList()

  Get a list of villages.

### findNearestVillage

    public Village findNearestVillage(int par1,
                                      int par2,
                                      int par3,
                                      int par4)

  Finds the nearest village, but only the given coordinates are withing it's bounding box plus the given the distance.

### readFromNBT

    public void readFromNBT(NBTTagCompound par1NBTTagCompound)

  reads in data from the NBTTagCompound into this MapDataBase

  Specified by:
    `readFromNBT` in class `WorldSavedData`

### writeToNBT

    public void writeToNBT(NBTTagCompound par1NBTTagCompound)

  write data to NBTTagCompound from this MapDataBase, similar to Entities and TileEntities

  Specified by:
    `writeToNBT` in class `WorldSavedData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD